import { FetchRequest, FetchOptions } from 'ofetch';
import { Resolveable } from '../../../utils';
export declare const httpStorageDriver: (options?: {
    defaults?: FetchOptions;
    load?: Resolveable<{
        request?: FetchRequest;
        options?: FetchOptions<"json">;
    } | string>;
    save?: Resolveable<{
        request?: FetchRequest;
        options?: FetchOptions;
    } | string>;
}, interval?: number) => import('../storage-driver').StorageDriver;
