import { InitializerOptions } from '../initializers';
import { Manager } from './';
import * as pdfjs from '@/pdfjs';
export declare class DocumentManager extends Manager {
    private _pdfDocument?;
    private loadingTask?;
    init(): void;
    reset(): void;
    getDocument(): import('pdfjs-dist/types/src/display/api').PDFDocumentProxy | undefined;
    closeDocument(): Promise<void>;
    openDocument(documentType?: pdfjs.DocumentType, documentFilename?: string, options?: InitializerOptions): Promise<void>;
}
