import { AnnotationEditorUIManager } from '../../pdfjs';
import { Manager } from './manager';
export declare function isValidAnnotationEditorMode(mode: number): boolean;
export declare class AnnotationManager extends Manager {
    private _annotationEditorUIManager?;
    private _annotationMode;
    private _annotationEditorMode;
    private switchAnnotationEditorModeTimeoutId?;
    private switchAnnotationEditorModeAbortController?;
    init(): void;
    reset(): void;
    private initAnnotationEditorUIManager;
    private destroyAnnotationEditorUIManager;
    get annotationMode(): number;
    getAnnotationEditorMode(): number;
    get annotationEditorUIManager(): AnnotationEditorUIManager | undefined;
    get renderForms(): boolean;
    set annotationEditorMode({ mode, editId, isFromKeyboard }: {
        mode: number;
        editId?: string;
        isFromKeyboard?: boolean;
    });
    private cleanupSwitchAnnotationEditorMode;
    private switchToEditAnnotationMode;
}
